Skip to main content
GET
Get agent details

Path Parameters

id
string
required

Agent ID (snake_case for built-in agents, your agent ID for your own custom agents), or the UUID of a team-shared agent. Use the id returned by GET /api/v1/agents.

Response

Agent details

description
string
required
has_dynamic_tools
boolean
required
has_memory
boolean
required
id
string
required
name
string
required
tags
string[]
required
tools_count
integer
required
type
enum<string>
required
Available options:
native,
user
tools
string[]